/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * File Name    : r_tm_api.c
 * Version      : 1.10
 * Description  : The programs of Trusted Memory areas.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * History : DD.MM.YYYY Version  Description
 *         : 01.04.2015 1.00     First Release
 *         : 26.04.2019 1.10     Second Release
 *********************************************************************************************************************/

/**********************************************************************************************************************
 Includes   <System Includes> , "Project Includes"
 *********************************************************************************************************************/
#include <stdint.h>
#include <stdbool.h>

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
#pragma section _TM
const uint8_t g_tm_led_table[] = {
    0x01,
    0x02,
    0x04,
    0x08
};

const uint8_t g_led_pattern_num = 0x04;

/* **** TM function table1 **** */
void (* const tm_func_table1[])(void) = {
    (void (*)())(__sectop("P_TM_FUNC_01")),           /* R_TM_PortInit */
    (void (*)())(__sectop("P_TM_FUNC_03")),           /* R_TM_LedOff */
};

/* **** TM function table2 **** */
void (* const tm_func_table2[])(uint8_t argument) = {
    (void (*)(uint8_t))(__sectop("P_TM_FUNC_02")),    /* R_TM_SetLedPattern */
};

/* End of File */

