/**********************************************************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only intended for use with Renesas products. No
 * other uses are authorized. This software is owned by Renesas Electronics Corporation and is protected under all
 * applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED. TO THE MAXIMUM
 * EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES
 * SHALL BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO
 * THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software and to discontinue the availability of
 * this software. By using this software, you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2019 Renesas Electronics Corporation. All rights reserved.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * File Name    : r_tm_api.h
 * Version      : 1.10
 * Description  : The programs of Trusted Memory areas.
 *********************************************************************************************************************/
/**********************************************************************************************************************
 * History : DD.MM.YYYY Version  Description
 *         : 01.04.2015 1.00     First Release
 *         : 26.04.2019 1.10     Second Release
 *********************************************************************************************************************/

/**********************************************************************************************************************
 Includes   <System Includes> , "Project Includes"
 *********************************************************************************************************************/
/* Guards against multiple inclusion */
#ifndef R_TM_API_H
#define R_TM_API_H

#include <stdint.h>
#include <stdbool.h>
#include "iodefine.h"

/**********************************************************************************************************************
 Macro definitions
 *********************************************************************************************************************/
/* **** LED define **** */
#define LED_ON          (0)                   /* LED on */
#define LED_OFF         (1)                   /* LED off */

#define LED0_REG_PODR   (PORT0.PODR.BIT.B3)   /* P03/LED0 PODR */
#define LED1_REG_PODR   (PORT0.PODR.BIT.B5)   /* P05/LED1 PODR */
#define LED2_REG_PODR   (PORT2.PODR.BIT.B6)   /* P26/LED2 PODR */
#define LED3_REG_PODR   (PORT2.PODR.BIT.B7)   /* P27/LED3 PODR */

#define LED0_REG_PDR    (PORT0.PDR.BIT.B3)    /* P03/LED0 PDR */
#define LED1_REG_PDR    (PORT0.PDR.BIT.B5)    /* P05/LED1 PDR */
#define LED2_REG_PDR    (PORT2.PDR.BIT.B6)    /* P26/LED2 PDR */
#define LED3_REG_PDR    (PORT2.PDR.BIT.B7)    /* P27/LED3 PDR */

#define LED0_REG_PMR    (PORT0.PMR.BIT.B3)    /* P03/LED0 PMR */
#define LED1_REG_PMR    (PORT0.PMR.BIT.B5)    /* P05/LED1 PMR */
#define LED2_REG_PMR    (PORT2.PMR.BIT.B6)    /* P26/LED2 PMR */
#define LED3_REG_PMR    (PORT2.PMR.BIT.B7)    /* P27/LED3 PMR */

/*******************************************************************************
Exported global variables and functions (to be accessed by other files)
*******************************************************************************/
void R_TM_PortInit(void);
void R_TM_SetLedPattern(uint8_t pattern);
void R_TM_LedOff(void);

#endif /* R_TM_API_H */

/* End of File */

